### 5.1.90 min

Procedure from library `standard.lib` (see standard_lib).

Syntax:
  max (i_1, ..., i_k)

Type:
  same as type of i_1, ..., i_k resp.

Purpose:
  returns the maximum for any arguments of a type
  for which '>' is defined

Example:

      // biggest int
    max(2,3);
    ==> 3
    max(1,4,3);
    ==> 4
    // lexicographically biggest intvec
    max(intvec(1,2),intvec(0,1),intvec(1,1));
    ==> 1,2
    // polynopmial with biggest leading monomial
    ring r = 0,x,dp;
    max(x+1,x2+x);
    ==> x2+x

See also: min.

User manual for Singular version 4.4.1, 2025, generated by texi2html.